<div class="row">
  <div class="col-md-9">
    <b>Spinner area</b>
    <div class="w-100 bg-info mb-2 position-relative" [style.height.px]="500">
      <cms-spinner-container [id]="demoSpinnerId"
                             class="h-100 w-100"></cms-spinner-container>
    </div>
  </div>
  <div class="col-md-3 mt-md-5">

    <input type="checkbox"
           [ngModelOptions]="{standalone: true}"
           [(ngModel)]="purgeOldRequests"> Purge old request

    <div *ngIf="purgeOldRequests">
      <small class="text-danger">Old requests will be removed, keep the latest one only.</small>
    </div>

    <div class="col-12 text-center">
      <button class="btn btn-outline-primary mb-2"
              [style.width.px]="150"
              (click)="displaySpinner()">
        Display spinner
      </button>

      <button class="btn btn-outline-secondary mb-2"
              [style.width.px]="150"
              (click)="deleteSpinner()">
        Close spinner
      </button>
    </div>
  </div>
</div>
